/*
 * $Id: VKCDocumentClass.java,v 1.5 2004/05/12 09:45:09 jonyp Exp $
 *
 * Copyright (c) Siemens AG 2008 
 *           (c) Universität Paderborn 2008 
 * Licensed under EUPL 1.1. 
 *
 * $Log: VKCDocumentClass.java,v $
 * Revision 1.5  2004/05/12 09:45:09  jonyp
 * + icon method
 *
 * Revision 1.4  2004/02/20 16:36:58  bigmac
 * Properties name und description entfernt
 *
 * Revision 1.3  2004/02/09 15:26:22  jonyp
 * *** empty log message ***
 *
 * Revision 1.2  2003/08/03 00:03:44  koppy
 * contructor added
 *
 * Revision 1.1  2003/07/16 08:42:46  jonyp
 * first strike
 *
 */

package vkc.db.entities;

import java.io.Serializable;

import vkc.util.StringUtils;


/**
 * Klasse stellt einen Dokumenttyp im VKC-System dar
 *
 * @author koppy
 */
public class VKCDocumentClass implements Serializable {

    private Integer docClassId = new Integer(0);
    private String  nameKey   = "";
	private String  descriptionKey  = "";
	private Integer flag       = new Integer(0);
    
    /**
     * Konstruktor
     */
    public VKCDocumentClass() {
    }
    
    public VKCDocumentClass( Integer docClassId, String nameKey ){
    	this.docClassId = docClassId;
    	this.nameKey = nameKey;
    }
    
	public VKCDocumentClass( Integer docClassId, String nameKey, String descriptionKey ){
		this.docClassId = docClassId;
		this.nameKey = StringUtils.normalize( nameKey );
		this.descriptionKey = StringUtils.normalize( descriptionKey );
	}

    public Integer getDocClassId() {
        return this.docClassId;
    }

    public void setDocClassId(Integer docClassId) {
        this.docClassId = docClassId;
    }
    
	public String getDescriptionKey() {
		return descriptionKey;
	}

	public void setDescriptionKey(String string) {
		descriptionKey = StringUtils.normalize( string );
	}

	public String getNameKey() {
		return nameKey;
	}

	public void setNameKey(String string) {
		nameKey = StringUtils.normalize( string );
	}

	public Integer getFlag() {
		return flag;
	}

	public void setFlag(Integer integer) {
		flag = integer;
	}
	
	public String getClassIcon() {
		return "";
	}
}
